Name:           glob2
Version:        0.8.21
Release:        2%{?dist}
Summary:        An innovative RTS game

Group:          Amusements/Games
License:        GPL
URL:            http://globulation2.org/
Source0:        http://dl.sv.nongnu.org/releases/%{name}/%{version}/%{name}-%{version}.tar.gz
#patch0 fixes polish diacritics
Patch0:         glob2-0.8.21-texts.pl.patch
#patch1 fixes CXXFLAGS
Patch1:         glob2-0.8.21-configure.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils,zlib-devel,speex-devel,boost-devel
BuildRequires:  libvorbis-devel
BuildRequires:  SDL_net-devel,SDL_ttf-devel,SDL_image-devel,SDL-devel
Requires:       hicolor-icon-theme

%description
Globulation 2 brings a new type of gameplay to RTS games. The player chooses
the number of units to assign to various tasks, and the units do their best to
satisfy the requests. This allows players to manage more units and focus on
strategy rather than individual unit's jobs. Globulation 2 also features AI
allowing single-player games or any possible combination of human-computer
teams. Also included is a scripting language for versatile gameplay or
tutorials and an integrated map editor. Globulation2 can be played in single
player mode, through your local network, or over the Internet with Ysagoon
Online Gaming (or YOG for short).


%prep
%setup -q
%patch0 -p0
%patch1 -p1

chmod a-x src/{MainMenuScreen*,MultiplayersChooseMapScreen*,MultiplayersCrossConnectable*,MultiplayersOfferScreen*}

sed -i 's/MultipleArgs\=false/Encoding\=UTF\-8/' data/%{name}.desktop
sed -i 's|Icon=glob2-icon-48x48.png|Icon=glob2.png|' data/%{name}.desktop
touch -c -r aclocal.m4 configure configure.in
sed -i 's|INSTALL_DATA = @INSTALL_DATA@|INSTALL_DATA = @INSTALL_DATA@ -p|' data/{gfx,gfx/cursor,fonts,gui,icons,zik}/Makefile.in

%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/AUTHORS

for f in 128x128 16x16 24x24 32x32 48x48 64x64; do
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/glob2-icon-$f.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps/glob2.png
done
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install --vendor="fedora"                  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --delete-original                               \
        --remove-category Application                   \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}


%changelog
* Tue May 22 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-2
- fix Source0
* Sun May 20 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-1
- back to 0.8.21
- merge data subpackage to core package
* Fri May 04 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.23-1
- Update to 0.8.23
* Mon Jan 29 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-2
- RPM_OPT_FLAGS fix
* Wed Jan 24 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-1
- Initial release